Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::LampMaterial Class Reference

Lampマテリアル. More...

`#include <LampMaterial.h>`

Inheritance diagram for LampForMaya::LampMaterial:

List of all members.

## Public Member Functions
| LampMaterial ()
| コンストラクタ
| ~LampMaterial ()
| デストラクタ
void | materialSetup ()
| マテリアルのセットアップ
MStatus | uiShader (const MPlug &plug, MDataBlock &dataBlock)
| ユーザインターフェースシェーダ
virtual int | getBlendMode () const
| ブレンドモードの取得
virtual bool | isBlendEnabled () const
| ブレンドが有効か
virtual float | getAlpha () const
| アルファの取得
virtual int | getBlendSource () const
| ブレンドソースの取得
virtual int | getBlendDestination () const
| ブレンドデスティネーションの取得
virtual Color3f | getUIColor () const
| ユーザインターフェースカラーの取得
virtual bool | useZWrite () const
| Z書き込みの取得.
virtual bool | useZTest () const
| Zテストの取得.
virtual int | getFogOption () const
| フォグオプションの取得
virtual u_int | getLightMask () const
| ライトマスクの取得
virtual int | getPriority () const
| 優先度の取得
## Static Public Member Functions
void | materialInitialize ()
| マテリアル初期化
## Static Protected Attributes
const float | alphaTestBorder_ = (4.f / 255.f)
| アルファテスト境界
const int | blendTableSize_ = 11
| ブレンドテーブルサイズ
const u_int | blendTable_ [blendTableSize_]
| ブレンドテーブル

## Detailed Description

Lampマテリアル.

Definition at line 34 of file LampMaterial.h.

## Member Function Documentation

float LampForMaya::LampMaterial::getAlpha | ( |  | ) | const`[virtual]`

| アルファの取得 Returns: アルファ Definition at line 264 of file LampMaterial.cpp. Referenced by LampForMaya::LampBasicMaterial::glGeometry().

int LampForMaya::LampMaterial::getBlendDestination | ( |  | ) | const`[virtual]`

| ブレンドデスティネーションの取得 Returns: ブレンドデスティネーション Definition at line 274 of file LampMaterial.cpp. Referenced by materialSetup().

int LampForMaya::LampMaterial::getBlendMode | ( |  | ) | const`[virtual]`

| ブレンドモードの取得 Returns: ブレンドモード Definition at line 259 of file LampMaterial.cpp. Referenced by isBlendEnabled(), and materialSetup().

int LampForMaya::LampMaterial::getBlendSource | ( |  | ) | const`[virtual]`

| ブレンドソースの取得 Returns: ブレンドソース Definition at line 269 of file LampMaterial.cpp. Referenced by materialSetup().

int LampForMaya::LampMaterial::getFogOption | ( |  | ) | const`[virtual]`

| フォグオプションの取得 Returns: フォグオプション Definition at line 294 of file LampMaterial.cpp. Referenced by materialSetup().

u_int LampForMaya::LampMaterial::getLightMask | ( |  | ) | const`[virtual]`

| ライトマスクの取得 Returns: ライトマスク Definition at line 299 of file LampMaterial.cpp.

int LampForMaya::LampMaterial::getPriority | ( |  | ) | const`[virtual]`

| 優先度の取得 Returns: 優先度 Definition at line 304 of file LampMaterial.cpp.

Color3f LampForMaya::LampMaterial::getUIColor | ( |  | ) | const`[virtual]`

| ユーザインターフェースカラーの取得 Returns: ユーザインターフェースカラー Definition at line 279 of file LampMaterial.cpp. Referenced by uiShader().

virtual bool LampForMaya::LampMaterial::isBlendEnabled | ( |  | ) | const`[inline, virtual]`

| ブレンドが有効か Returns: ブレンドが有効ならtrue Definition at line 82 of file LampMaterial.h. References getBlendMode(). Referenced by LampForMaya::LampBasicMaterial::hasTransparency().

MStatus LampForMaya::LampMaterial::uiShader | ( | const MPlug & | plug,
|  | MDataBlock & | dataBlock
| ) |

  | ユーザインターフェースシェーダ Parameters:
  plug | プラグ
  dataBlock | データブロック
Definition at line 237 of file LampMaterial.cpp. References getUIColor(), and MayaStatusCheck. Referenced by LampForMaya::LampBasicMaterial::compute().

bool LampForMaya::LampMaterial::useZTest | ( |  | ) | const`[virtual]`

| Zテストの取得. Returns: Zテスト Definition at line 289 of file LampMaterial.cpp. Referenced by materialSetup().

bool LampForMaya::LampMaterial::useZWrite | ( |  | ) | const`[virtual]`

| Z書き込みの取得. Returns: Z書き込み Definition at line 284 of file LampMaterial.cpp. Referenced by materialSetup().

## Member Data Documentation

const u_int LampForMaya::LampMaterial::blendTable_`[static, protected]`

| Initial value:
     {
        GL_ZERO,
        GL_ONE,
        GL_SRC_COLOR,
        GL_ONE_MINUS_SRC_COLOR,
        GL_SRC_ALPHA,
        GL_ONE_MINUS_SRC_ALPHA,
        GL_SRC_ALPHA_SATURATE,
        GL_DST_COLOR,
        GL_ONE_MINUS_DST_COLOR,
        GL_DST_ALPHA,
        GL_ONE_MINUS_DST_ALPHA,
    }
ブレンドテーブル Definition at line 36 of file LampMaterial.cpp. Referenced by materialSetup().

The documentation for this class was generated from the following files:

- LampMaterial.h
- LampMaterial.cpp